*{
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
}
nav{
    display: flex;
    /* border: 2px solid red; */
    padding:10px;
    position: sticky;
    top: 0;
    background-color: white;
    z-index: 1;
}
#searchbox{
    width: 30%;
}
#blackstrip{
    text-align: center;
}
nav>div:nth-child(1){
    /* border: 2px solid rgb(0, 0, 0); */
    display: flex;
    justify-content:space-evenly;
    width: 30%;
    align-items: center;
}
nav>div:nth-child(1)>h1{
    color: rgb(126, 2, 175);
}
nav>div:nth-child(2){
    /* border: 2px solid rgb(0, 0, 0); */
    display: flex;
    width: 100%;
    justify-content:center;
}
nav>div:nth-child(2)>div{
    /* border: 2px solid rgb(255, 0, 0); */
    display: flex;
    width: 100%;
    justify-content:flex-end;
    align-items: center;
}
nav>div:nth-child(2)>div>input{
    /* border: 2px solid rgb(0, 0, 0); */
    padding:8px 10px 8px;
    border-radius: 25px;
}
nav>div:nth-child(2)>div>div{
    border: 2px solid rgb(0, 0, 0);
    padding:7px 20px 7px 10px;
    display: flex;
    justify-content: space-around;
    align-items: center;
    border-radius: 25px;
}
nav>div:nth-child(2)>div>div>span>img{
    width: 20px ;
    height: 20px;
    margin: 1px 5px 1px;
}
nav div img{
    width: 60px ;
    height: 60px;
}

/* ========================================================================== */
#links{
    display: flex;
    justify-content:center;
    padding: 1%;
    /* border: 2px solid red; */
}
#links>a{
    margin: 0px 30px 0px;
    text-decoration: none;
    color: black;
}
#links>a:hover{
    font-weight: 100;
    color: rgb(0, 156, 254);
}
/* ============================================================================== */

/* ============================================================================== */
#account{
    border: none;
}
#selectors{
    display:grid;
    grid-template-columns: repeat(8,1fr);
    justify-content: center;
}
.dropbtn {
    padding: 7px;
    border: none;
    font-size: 10px;
    font-weight: bolder;
    text-transform: uppercase;
    background-color: white;
    color: rgb(0, 0, 0);
    padding: 10px 20px 10px;
}
.dropdown {
    position: relative;
    display:block
}
.dropdowncontent {
    display: none;
    position: absolute;
    background-color: white;
    min-width: 100px;
    z-index: 1;
    padding: 10px;
    border-radius:0px 0px 10px 10px;
    box-shadow: rgba(0, 0, 0, 0.25) 0px 54px 55px, rgba(0, 0, 0, 0.12) 0px -12px 30px, rgba(0, 0, 0, 0.12) 0px 4px 6px, rgba(0, 0, 0, 0.17) 0px 12px 13px, rgba(0, 0, 0, 0.09) 0px -3px 5px;
}
.dropdowncontent ul{
    margin: 10px;
    width:100%;
    text-align: center;
    padding: 10px;
    font-size: 20px;
    list-style:none;
}
.dropdowncontent a{
    color: black;
    font-weight: bolder;
}
.dropdowncontent li:hover {
    color: blue;
    cursor: pointer;
}
.dropdowncontent a {
    color: rgb(0, 0, 0);
    padding: 12px 16px;
    text-decoration: none;
    display:flex;
}
.dropdown:hover .dropdowncontent {
    display: flex;
}
.dropdown:hover .dropdowncontent div {
    display:block;
}
.dropdown:hover .dropbtn {
    color: rgb(0, 40, 183);
    cursor: pointer;
}

@media screen and (max-width:1000px) {
    #selectors{
        grid-template-columns: repeat(4,1fr);
    }
    #fourbox>div{
        grid-template-columns: repeat(1,1fr);
    }
    #ShopbyCategory>div{
        grid-template-columns: repeat(2,1fr);
    }
    #firstbox{
        grid-template-columns: repeat(2,1fr);
    }
    #footerlast>div{
        grid-template-columns: repeat(3,1fr);
    }
    #searchbox{
        display: none;
    }
    #storebutton{
        display: none;
    }
}
/* ================================================================================== */
#blackstrip{
    background-color: black;
    color: aliceblue;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    margin-bottom: 2%;
}
#blackstrip>button{
    width: 30px;
    height: 20px;
}
#blackstrip>div{
    display: flex;
    width: 80%;
    overflow-x: auto;
}
#blackstrip>div::-webkit-scrollbar{
    height: 0px;
    width: 0px;
}
#blackstrip>div>div{
    min-width:100%;
    max-width:100%;
    border: 2px solid red;
    text-align: center;
    /* position: absolute; */
}
#blackstrip>div>div>img{
    width: 100px;
    height: 100px;
}
#left{
    background-color: #000;
}
#right{
    background-color: #000;
}
/* =========================================================================================================================================== */
* {box-sizing: border-box}
body {font-family: Verdana, sans-serif; margin:0}
.mySlides {display: none}
img {vertical-align: middle;}

/* Slideshow container */
.slideshow-container {
  max-width: 1000px;
  position: relative;
  margin: auto;
}

/* Next & previous buttons */
.prev, .next {
  cursor: pointer;
  position: absolute;
  top: 50%;
  width: auto;
  padding: 16px;
  margin-top: -22px;
  color: white;
  font-weight: bold;
  font-size: 18px;
  transition: 0.6s ease;
  border-radius: 0 3px 3px 0;
  user-select: none;
}

/* Position the "next button" to the right */
.next {
  right: 0;
  border-radius: 3px 0 0 3px;
}

/* On hover, add a black background color with a little bit see-through */
.prev:hover, .next:hover {
  background-color: rgba(0,0,0,0.8);
}

/* Caption text */
.text {
  color: #f2f2f2;
  font-size: 15px;
  padding: 8px 12px;
  position: absolute;
  bottom: 8px;
  width: 100%;
  text-align: center;
}

/* Number text (1/3 etc) */
.numbertext {
  color: #f2f2f2;
  font-size: 12px;
  padding: 8px 12px;
  position: absolute;
  top: 0;
}

/* The dots/bullets/indicators */
.dot {
  cursor: pointer;
  height: 15px;
  width: 15px;
  margin: 0 2px;
  background-color: #bbb;
  border-radius: 50%;
  display: inline-block;
  transition: background-color 1s ease;
}

.active, .dot:hover {
  background-color: #717171;
}

/* Fading animation */
.fade {
  animation-name: fade;
  animation-duration: 1.5s;
}

@keyframes fade {
  from {opacity: .6} 
  to {opacity: 1}
}

/* On smaller screens, decrease text size */
@media only screen and (max-width: 300px) {
  .prev, .next,.text {font-size: 11px}
}
/* =============================================================================================================================================== */
#shoeCategory{
    display: flex;
    justify-content: center;
    /* border: 2px solid grey; */
}
#shoeCategory>div{
    display: flex;
    justify-content:space-around;
    width: 80%;
    border-style: groove none groove none;
}
#shoeCategory>div>a{
    text-decoration: none;
    color: black;
    padding: 2%;
}
#ShopbyCategory{
    display: flex;
    justify-content: center;
    text-align: center;
}
#ShopbyCategoryh3{
    text-align: center;
    padding: 3% 0% 0%;
}
#ShopbyCategory>div{
    display: grid;
    width: 80%;
    grid-template-columns: repeat(4,1fr);
    margin:auto;
    gap: 10px;
    padding: 3%;
}
#ShopbyCategory a{
    text-decoration: none;
    color: black;
}
#ShopbyCategory>div>div>img{
    width:100%;
}
#ShopbyCategory>div>div
{
    text-align: center;
    cursor: pointer;

}

/* ===================================================================== */
#shopbybrandhead{
    text-align: center;
}
#shopbybrand{
    display: flex;
    justify-content: center;
    margin:2%;
    align-items: center;
}
#shopbybrand>div{
    display: flex;
    overflow-x: auto;
    width: 75%;
    margin:1%;
    /* border: 2px solid red; */
    box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px;
}
#shopbybrand>div::-webkit-scrollbar{
    height: 0px ;
    width: 0px;
}
/* #box2 img{
    width: 100%;
} */
#shopbybrand>div>div{
    /* border: 2px solid red; */
    margin-right: 10px;
    margin-left: 10px;
}
#shopbybrand>div>div>img{
    min-width:150px;
    max-width: 150px;
    min-height:150px;
    max-height:150px ;
}
#btn12{
    width: 50px;
    height: 50px;
    border: 0px;
    border-radius: 2px;
}
#btn21{
    width: 50px;
    height: 50px;
    border: 0px;
    border-radius: 2px;
}
#shopallbrands{
    text-align: center;
}

#Toptrend{
    display: flex;
    justify-content: center;
    /* width: 70%; */
    margin: 1%;
    font-size: 20%;
}
#Toptrend>div{
    display: flex;
    /* justify-content: center; */
    width: 80%;
    /* border: 2px solid red; */
    box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px;
    /* box-shadow: rgba(50, 50, 93, 0.25) 0px 13px 27px -5px, rgba(0, 0, 0, 0.3) 0px 8px 16px -8px; */
}
#Toptrend>div>div{
    margin: 1%;
}
#Toptrend>div>div>img{
    width: 100%;
    height: 80%;
}
/* ================================================================================================ */
#recomended{
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 2%;
    margin: 2%;
}
#recomended>div:nth-child(1){
    display: flex;
    justify-content: space-between;
    width: 80%;
    align-items: center;
}
#box3{
    display: flex;
    width: 80%;
    overflow-x: auto;
    margin: 1%;
}
#box3::-webkit-scrollbar{
    width: 0px;
    height: 0px;
}
#recomended>div>div{
    min-width:20%;
    max-width: 20%;
    margin: 2%;
    box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px;
}
#recomended>div>div:hover{
    box-shadow: rgba(0, 0, 0, 0.45) 0px 25px 20px -20px;
}
#box3>div>img{
    width: 100%;
}
#bb1{
    border: 0px;
    width: 50px;
    height: 50px;
}
#bb2{
    border: 0px;
    width: 50px;
    height: 50px;
}
/* =================================================================================== */
#fourbox{
    text-align: center;
}
#fourbox>div{
    margin: auto;
    padding: 2%;
    display: grid;
    grid-template-columns: repeat(2,1fr);
    gap: 20px;
    /* border: 2px solid red; */
    place-items:  center;
}
#fourbox>div>div{
    margin: auto;
}
#fourbox>div>div>img{
    display: block;
    width: 100%;
}
/* =========================================================================== */
#ft2{
    display: flex;
    justify-content: center;
    /* border: 2px solid red; */
    margin: 3% 0 2%;
}
#ft2>div{
    /* border: 2px  solid black; */
    width: 80%;
    padding: 1%;
    /* box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px; */
}
#ft2>div>div:nth-child(1)>img{
   padding-top: 1%;
   padding-bottom: 1%;
   width: 100%;
}
#ft2>div>div:nth-child(2)>img{
    padding-top: 1%;
    padding-bottom: 1%;
    width: 100%;
}
#ft2of3>div{
    display: flex;
}
#leftbox{
    width: 70%;
    padding: 2%;
    font-size: 15px;
}

#rightbox{
    display: flex;
    padding: 2%;
    font-size: 15px;
}
#rightbox>div{
    display: flex;
    flex-direction: column;
    padding: 2%;
}
#rightbox>div>a{
    text-decoration: none;
    color: black;
}
/* ============================================================== */
#footer1{
    display: flex;
    flex-direction: column;
    align-items: center;
    font-size:15px;
}
#firstbox{
    display: grid;
    grid-template-columns: repeat(2,1fr);
    /* border: 2px solid red; */
}
#firstbox>div{
    display: flex;
    border-radius: 20px;
    align-items: center;
    padding: 1%;
    background-color: black;
    color: white;
    margin: 1%;
}
#firstbox>div>img{
    width: 60px;
    height: 60px;
    margin: 1%;
    filter: invert();
}
#firstbox>div>div{
    margin: 1%;
    border-radius: 10px;
}
/* ============================================================================ */
footer{
    background-color:whitesmoke;
    font-size: 15px;
}
#footerlast{
    display:grid;
    place-items: center;
    /* border: 2px solid red; */
}
#footerlast>div{
    display:grid;
    grid-template-columns: repeat(5,1fr);
    padding: 1%;
    gap: 20px;
    width: 80%;
}

#footerlast>div>div{
    padding: 1%;

}
#last{
    text-align: center;
}
/* =========================================================================================== */
input[type=text], input[type=password] ,input[type=email]{
    width: 100%;
    padding: 12px 20px;
    margin: 8px 0;
    display: inline-block;
    border: 1px solid #ccc;
    box-sizing: border-box;
  }
  #submitbtns{
    display: flex;
  }
  /* Set a style for all buttons */
  button {
    /* background-color: #ffffff; */
    color: rgb(0, 0, 0);
    padding: 14px 20px;
    margin: 8px;
    border: none;
    cursor: pointer;
    width: 100%;
    border-radius: 15px;
  }
  
  button:hover {
    opacity: 0.8;
  }
  /* Center the image and position the close button */
  .imgcontainer {
    text-align: center;
    margin: 24px 0 12px 0;
    position: relative;
  }
  
  img.avatar {
    width: 40%;
    border-radius: 50%;
  }
  
  .container {
    padding: 16px;
  }
  
  span.psw {
    float: right;
    padding-top: 16px;
  }
  
  /* The Modal (background) */
  .modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
    padding-top: 60px;
  }
  .modal::-webkit-scrollbar{
    width: 0px;
    height: 0px;
  }
  /* Modal Content/Box */
  .modal-content {
    background-color: #fefefe;
    margin: 5% auto 15% auto; /* 5% from the top, 15% from the bottom and centered */
    border: 1px solid #888;
    width: 50%; /* Could be more or less, depending on screen size */
  }
  .modal2-content{
    display:none;
    background-color: #fe9d9d;
    margin: 5% auto 15% auto; /* 5% from the top, 15% from the bottom and centered */
    border: 1px solid #888;
    width: 50%; /* Could be more or less, depending on screen size */
  }
  
  /* The Close Button (x) */
  .close {
    position: absolute;
    right: 25px;
    top: 0;
    color: #000;
    font-size: 35px;
    font-weight: bold;
  }
  
  .close:hover,
  .close:focus {
    color: red;
    cursor: pointer;
  }
  
  /* Add Zoom Animation */
  .animate {
    -webkit-animation: animatezoom 0.6s;
    animation: animatezoom 0.6s
  }
  
  @-webkit-keyframes animatezoom {
    from {-webkit-transform: scale(0)} 
    to {-webkit-transform: scale(1)}
  }
    
  @keyframes animatezoom {
    from {transform: scale(0)} 
    to {transform: scale(1)}
  }
  
  /* Change styles for span and cancel button on extra small screens */
  @media screen and (max-width: 300px) {
    span.psw {
       display: block;
       float: none;
    }
    .cancelbtn {
       width: 100%;
    }
  }